# Module ra_directory

- Function Index
- Function Details

## Function Index

init/1 |
deinit/0 |
register_name/4 |
register_name/3 |
unregister_name/1 |
where_is/1 |
where_is_parent/1 |
name_of/1 |
pid_of/1 |
uid_of/1 |
send/2 |
overview/0 |
list_registered/0 |

## Function Details

### init/1

    init(Dir :: file:filename()) -> ok

### deinit/0

    deinit() -> ok

### register_name/4

    register_name(UId :: ra_uid(),
                  Pid :: pid(),
                  ParentPid :: maybe(pid()),
                  RaServerName :: atom()) ->
                     yes | no

### register_name/3

    register_name(UId :: ra_uid(),
                  Pid :: pid(),
                  RaServerName :: atom()) ->
                     yes | no

### unregister_name/1

    unregister_name(UId :: ra_uid()) -> ra_uid()

### where_is/1

    where_is(ServerName :: ra_uid() | atom()) -> pid() | undefined

### where_is_parent/1

    where_is_parent(ServerName :: ra_uid() | atom()) ->
                       pid() | undefined

### name_of/1

    name_of(UId :: ra_uid()) -> atom()

### pid_of/1

    pid_of(UId :: ra_uid()) -> maybe(pid())

### uid_of/1

`uid_of(ServerName) -> any()`

### send/2

    send(UIdOrName :: ra_uid() | atom(), Msg :: term()) -> pid()

### overview/0

`overview() -> any()`

### list_registered/0

    list_registered() -> [{atom(), ra_uid()}]

Generated by EDoc